Bug 666520 - Review Request: ibus-typing-booster - Indic Typing Booster Table IMEngine for ibus
Summary: Review Request: ibus-typing-booster - Indic Typing Booster Table IMEngine for...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-31 11:10 UTC by Pravin Satpute
Modified: 2011-03-15 13:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-15 13:54:33 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Pravin Satpute 2010-12-31 11:10:25 UTC
Spec URL: http://pravins.fedorapeople.org/ibus-typing-booster.spec
SRPM URL:
http://pravins.fedorapeople.org/ibus-typing-booster-1.0.0-1.fc14.src.rpm

Description: Indic Typing Booster Table IMEngine for Ibus

Comment 1 Parag AN(पराग) 2011-01-06 09:03:39 UTC
First, I have few suggestions for tarball release actually. Please take care of them in following release.
* Contents of NEWS should be part of README.
* License written in README should say "version 3, or (at your option) any later version."

About packaging,
* License tag should be GPLv3+
* Buildroot is not needed now.
* %clean section also not needed now.
* subpackage ibus-typing-booster-marathi should 
  Requires: ibus-typing-booster and not Requires: ibus-table
* this package have empty %post which should be removed.

Comment 2 Pravin Satpute 2011-01-06 10:34:55 UTC
SRPM URL: http://pravins.fedorapeople.org/ibus-typing-booster-1.0.0-2.fc14.src.rpm

SPEC URL: http://pravins.fedorapeople.org/ibus-typing-booster.spec

I have updated contents of NEWS and README file in upstream git repo, it will come in next release http://git.fedorahosted.org/git/?p=indic-typing-booster.git

Comment 3 Parag AN(पराग) 2011-01-07 05:46:21 UTC
koji build=> http://koji.fedoraproject.org/koji/taskinfo?taskID=2706364

APPROVED.

Comment 4 Pravin Satpute 2011-01-07 08:46:23 UTC
New Package SCM Request
=======================
Package Name: ibus-typing-booster
Short Description:  Indic Typing Booster Table IMEngine for IBUS
Owners: pravins
Branches: devel
InitialCC: i18n-team
Cvsextras Commits: yes

Comment 5 Pravin Satpute 2011-03-15 13:54:33 UTC
decided to split packages as per language, so putting other package review request


Note You need to log in before you can comment on or make changes to this bug.